Subject: Re: 1/48 Aichi M6A1 SEIRAN
From: "Steve Bamford" <[email-masked]>
To: "Yuval Kizner" <[email-masked]>
Date: Sun, 16 Feb 2003 23:18:34 -0800

----- Original Message ----- 
  From: Yuval Kizner 
  To: Steve Bamford 
  Sent: Monday, January 20, 2003 9:10 AM
  Subject: 1/48 Aichi M6A1 SEIRAN 

  Dear Steve !

  I am sending you some photos of my 1/48 Aichi M6A1 SEIRAN by Tamiya , which I built a few years ago.
  The model is straight from the box , I used Model Master colours and tried to show some weathering in the
  model .It would be nice to see my model in your site .
  All the best .
  Yuval Kizner .